Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 13 Oct 2020 05:23:18 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Highly disappointed 
I am waiting for my return to be processed for over a month now.
Everytime I call there is a different answer to my questions.
The customer service staff are not helpful at all.

Faced so many problems. My order was messed up twice and now the refund is also not being processed.

Please look into this or I will have to make a formal complaint.
You have already lost a customer https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1580982